      PROGRAM INSTALL_1
C
C  CREATE THE FOLLOWING FILES FOR THE WINDOWS DATAPLOT
C  INSTALLATION:
C
C  1. DPCOMM.BAT - RUNS THE COMMAND LINE VERSION
C  2. DP.BAT     - RUUNS THE GUI VERSION
C  3. FRSCRIPT\XDPCONFIG_NT  - CONFIG FILE FOR WINDOWS NT/2000/XP
C  4. FRSCRIPT\XDPCONFIG_98  - CONFIG FILE FOR WINDOWS 95/98/ME
C
C  THE DATAPLOT DIRECTORY WILL BE ADDED AS A COMMAND LINE ARGUMENT
C  WHEN THIS PROGRAM IS RUN.
C
      CHARACTER*256 IPATH, IPATH2, BUF
      CHARACTER*256 IDIR1, IDIR2, IDIR3, IDIR4
      CHARACTER*256 IEXEC, ILIB
C
      NUM=NARGS()
      IPATH=' '
      IPATH(1:21)='C:\Program Files\NIST'
      IF(NUM.GT.1)THEN
        CALL GETARG(1,BUF,ISTATUS)
        IPATH=' '
        IPATH(1:ISTATUS)=BUF(1:ISTATUS)
        NCPATH=ISTATUS
        IF(IPATH(NCPATH:NCPATH).EQ.'"')NCPATH=NCPATH-1
        IF(IPATH(NCPATH:NCPATH).EQ.'\')NCPATH=NCPATH-1
        IF(IPATH(1:1).EQ.'"')THEN
           DO10I=2,NCPATH
             IPATH2(I-1:I-1)=IPATH(I:I)
 10        CONTINUE
           NCPATH=NCPATH-1
           IPATH(1:NCPATH)=IPATH2(1:NCPATH)
        ENDIF
      ENDIF
C
C  NOW CREATE THE DPCOMM.BAT FILE
C
      IDIR1=' '
      IDIR2=' '
      IDIR3=' '
      IDIR4=' '
      IDIR1(1:NCPATH)=IPATH(1:NCPATH)
      NSTRT=NCPATH+1
      NSTOP=NCPATH+9
      IDIR1(NSTRT:NSTOP)='\DATAPLOT'
      IDIR2(1:NSTOP)=IDIR1(1:NSTOP)
      IDIR3(1:NSTOP)=IDIR1(1:NSTOP)
      NSTRT2=NSTOP+1
      NSTOP2=NSTOP+9
      IDIR3(NSTRT2:NSTOP2)='\FRSCRIPT'
      IDIR4(1:NSTOP2)=IDIR3(1:NSTOP2)
      NSTRT3=NSTOP+1
      NSTOP3=NSTOP+11
      IDIR1(NSTRT3:NSTOP3)='\DPCOMM.BAT'
      NSTRT4=NSTOP+1
      NSTOP4=NSTOP+7
      IDIR2(NSTRT4:NSTOP4)='\DP.BAT'
      NSTRT5=NSTOP2+1
      NSTOP5=NSTOP2+13
      IDIR3(NSTRT5:NSTOP5)='\XDPCONFIG_98'
      NSTRT6=NSTOP2+1
      NSTOP6=NSTOP2+13
      IDIR4(NSTRT6:NSTOP6)='\XDPCONFIG_NT'
C
C  OPEN THE OUTPUT FILES
C
      OPEN(11,FILE=IDIR1)
      OPEN(12,FILE=IDIR2)
      OPEN(13,FILE=IDIR3)
      OPEN(14,FILE=IDIR4)
C
C  DEFINE PATH TO GUI EXECUTABLE, LIBRARY
C
      IEXEC=' '
      IEXEC(1:NCPATH)=IPATH(1:NCPATH)
      IEXEC(NSTR:NSTOP)='\DATAPLOT'
      NSTRT7=NSTRT+1
      NSTOP7=NSTRT+12
      IEXEC(NSTRT7:NSTOP7)='\DPLAHEY.EXE'
      ILIB=' '
      ILIB(1:NCPATH)=IPATH(1:NCPATH)
      ILIB(NSTR:NSTOP)='\DATAPLOT'
C
C  CREATE DPCOMM.BAT FILE
C
      WRITE(11,101)
  101 FORMAT('REM THIS FILE CONTAINS A BATCH JOB TO RUN THE ',
     1       'COMMAND LINE VERSION OF')
      WRITE(11,102)
  102 FORMAT('REM DATAPLOT THAT CAN BE EXECUTED FROM A SHORTCUT.')
      WRITE(11,103)
  103 FORMAT('REM')
      WRITE(11,104)
  104 FORMAT('REM IN THE SHORTCUT, THE COMMAND LINE SHOULD BE ',
     1       'SETUP AS:')
      WRITE(11,105)
  105 FORMAT('REM')
      WRITE(11,106)
  106 FORMAT('REM      "C:\Program Files\NIST\DATAPLOT\DPCOMM.BAT"')
      WRITE(11,107)
  107 FORMAT('REM')
      WRITE(11,108)
  108 FORMAT('')
      WRITE(11,109)
  109 FORMAT('REM SET LOCATION OF DATAPLOT DIRECTORY')
      WRITE(11,110)IPATH(1:NCPATH)
  110 FORMAT('SET DPDIR=',A)
      WRITE(11,111)
  111 FORMAT('')
      WRITE(11,112)
  112 FORMAT('REM FOLLOWING LINES FOR BOTH COMMAND LINE (AND GUI) ',
     1      'VERSION OF DATAPLOT')
      WRITE(11,113)
  113 FORMAT('SET DATAPLO$=%DPDIR%\DATAPLOT\')
      WRITE(11,114)
  114 FORMAT('SET FED$=%DPDIR%\DATAPLOT\')
      WRITE(11,115)
  115 FORMAT('SET PATH=%PATH%;%DPDIR%\DATAPLOT')
      WRITE(11,116)
  116 FORMAT('')
      WRITE(11,117)
  117 FORMAT('REM FOLLOWING COMMAND LINE OPTIONS SUPPORTED:')
      WRITE(11,118)
  118 FORMAT('REM')
      WRITE(11,119)
  119 FORMAT('REM SIZE (defaults to VGA size screen):')
      WRITE(11,120)
  120 FORMAT('REM   -svga     (for SVGA size screen)')
      WRITE(11,121)
  121 FORMAT('REM   -large    (for >= 1280x1040 resolutions)')
      WRITE(11,122)
  122 FORMAT('REM COLOR MODE:')
      WRITE(11,123)
  123 FORMAT('REM   -true     (use if true color mode set ',
     1       'for display)')
      WRITE(11,124)
  124 FORMAT('REM             (omit this option if true color ',
     1       'mode not set,')
      WRITE(11,125)
  125 FORMAT('REM             if you do not see any text on the ',
     1       ' screen, reverse')
      WRITE(11,126)
  126 FORMAT('REM             setting given here)')
      WRITE(11,127)
  127 FORMAT('REM TILING:')
      WRITE(11,128)
  128 FORMAT('REM   -tile     set if you want text and graphics ',
     1       'windows tiled')
      WRITE(11,129)
  129 FORMAT('REM')
      WRITE(11,130)
  130 FORMAT('REM You can set these options either here or on ',
     1       'the shortcut that intiates')
      WRITE(11,131)
  131 FORMAT('REM DPCOMM.BAT.')
      WRITE(11,132)
  132 FORMAT('')
      WRITE(11,133)
  133 FORMAT('"%DPDIR%\DATAPLOT\DATAPLOT.EXE" %1 %2 %3 %4 %5 %6 %7')
C
C
C  NOW CREATE THE DP.BAT FILE
C
      WRITE(12,201)
  201 FORMAT('REM THIS FILE CONTAINS A BATCH JOB THAT CAN BE ',
     1       'EXECUTED FROM A SHORTCUT.')
      WRITE(12,202)
  202 FORMAT('REM')
      WRITE(12,203)
  203 FORMAT('REM THE "DPDIR" AND "TCLDIR" VARIABLES DEFINE THE ',
     1       'LOCATION OF THE')
      WRITE(12,204)
  204 FORMAT('REM DATAPLOT AND TCL\TK DIRECTORIES RESPECTIVELY.  IF ',
     1       'THESE ARE')
      WRITE(12,205)
  205 FORMAT('REM SET CORRECTLTY, NO OTHER EDITS SHOULD BE REQUIRED ',
     1       'IN THIS FILE.')
      WRITE(12,206)
  206 FORMAT('REM')
      WRITE(12,207)
  207 FORMAT('')
      WRITE(12,208)IPATH(1:NCPATH)
  208 FORMAT('SET DPDIR=',A)
      WRITE(12,209)
  209 FORMAT('SET TCLDIR=C:\Program Files')
      WRITE(12,210)
  210 FORMAT('')
      WRITE(12,211)
  211 FORMAT('SET DATAPLO$=%DPDIR%\DATAPLOT\')
      WRITE(12,212)
  212 FORMAT('SET FED$=%DPDIR%\DATAPLOT\')
      WRITE(12,213)
  213 FORMAT('SET PATH=%PATH%;%DPDIR%\DATAPLOT')
      WRITE(12,214)
  214 FORMAT('')
      WRITE(12,215)
  215 FORMAT('SET TCL_LIBRARY=%TCLDIR%\TCL\LIB\TCL8.3')
      WRITE(12,216)
  216 FORMAT('SET TK_LIBRARY=%TCLDIR%\TCL\LIB\TK8.3')
      WRITE(12,217)
  217 FORMAT('')
      WRITE(12,218)
  218 FORMAT('SET XDP_FILE=%DPDIR%\DATAPLOT\FRMENUS')
      WRITE(12,219)
  219 FORMAT('SET XDP_CODE=%DPDIR%\DATAPLOT\FRSCRIPT')
      WRITE(12,220)
  220 FORMAT(' ')
      WRITE(12,221)
  221 FORMAT('REM FOLLOWING COPIES OVER THE APPROPRIATE XDPCONFIG ',
     1       'FILE.')
      WRITE(12,222)
  222 FORMAT('REM DEFAULT TO WINDOWS 98, WINDOWS 2000/NT/XP USE ',
     1       'THE SAME,')
      WRITE(12,223)
  223 FORMAT('REM WINDOWS 95/98/ME USE THE SAME.')
      WRITE(12,224)
  224 FORMAT(' ')
      WRITE(12,225)
  225 FORMAT('COPY FRSCRIPT\XDPCONFIG_98  XDPCONFIG')
      WRITE(12,226)
  226 FORMAT('IF %OS% == WINDOWS_NT COPY FRSCRIPT\XDPCONFIG_NT ',
     1       'XDPCONFIG')
      WRITE(12,227)
  227 FORMAT('IF %OS% == WINDOWS_XP COPY FRSCRIPT\XDPCONFIG_NT ',
     1       'XDPCONFIG')
      WRITE(12,228)
  228 FORMAT(' ')
      WRITE(12,229)
  229 FORMAT('REM THE FOLLOWING ACTUALLY INITIATES THE DATAPLOT GUI.')
      WRITE(12,230)
  230 FORMAT('REM NOTE THAT THE "-right" OPTION JUSTIFIES THE ',
     1       'WINDOWS TO THE RIGHT')
      WRITE(12,231)
  231 FORMAT('REM OF THE SCREEN.  YOU CAN CHANGE THIS TO "-left" ',
     1       'FOR LEFT')
      WRITE(12,232)
  232 FORMAT('REM JUSTIFICATION OR OMIT FOR CENTER JUSTIFICATION.  ',
     1       'THIS IS')
      WRITE(12,233)
  233 FORMAT('REM SIMPLY A MATTER OF TASTE.')
      WRITE(12,234)
  234 FORMAT('')
      WRITE(12,235)
  235 FORMAT('"%TCLDIR%\Tcl\bin\wish83.exe" ',
     1       '"%DPDIR%\dataplot\frscript\xdp" -pc -right %1 %2 %3')
C
C  NOW CREATE XDPCONFIG_NT
C
      WRITE(13,301)
  301 FORMAT('#  This file contains executable and font ',
     1       'specifications for xdp.')
      WRITE(13,302)
  302 FORMAT(' ')
      WRITE(13,303)
  303 FORMAT('#  This file can exist in several locations.  It ',
     1       'is searched for in several')
      WRITE(13,304)
  304 FORMAT('#  directories and the first occurance of the file ',
     1       'is the one that will be')
      WRITE(13,305)
  305 FORMAT('#  used.  This way a user can have a different set ',
     1       'of fonts than the default')
      WRITE(13,306)
  306 FORMAT('#  values.')
      WRITE(13,307)
  307 FORMAT(' ')
      WRITE(13,308)
  308 FORMAT('#  The order of the directories where xdp looks for ',
     1       'this file is:')
      WRITE(13,309)
  309 FORMAT('#  (1) the current directory, (2) the user's home ',
     1       'directory, (3) the system')
      WRITE(13,310)
  310 FORMAT('#  directory for the xdp Tcl files.  The file can ',
     1       'be named xdpConfig or .xdpConfig')
      WRITE(13,311)
  311 FORMAT(' ')
      WRITE(13,312)
  312 FORMAT(' ')
      WRITE(13,313)
  313 FORMAT('#  The executable specification gives the pathname ',
     1       'for Dataplot executables')
      WRITE(13,314)
  314 FORMAT('#  on different platforms.  The second field ',
     1       'contains the name of the platform ')
      WRITE(13,315)
  315 FORMAT('#  (windows, unix) or operating system (IRIX, ',
     1       'AIX, HP-UX, SunOS, etc.).  The ')
      WRITE(13,316)
  316 FORMAT('#  operating system is usually only specified ',
     1       'for unix platforms.  Executable')
      WRITE(13,317)
  317 FORMAT('#  specifications based on operating system must ',
     1       'appear after those specified ')
      WRITE(13,318)
  318 FORMAT('#  by platform.')
      WRITE(13,319)
  319 FORMAT(' ')
      WRITE(13,320)
  320 FORMAT('#')
      WRITE(13,321)IEXEC(1:NSTOP7)
  321 FORMAT('dataplot windows   ',A)
      WRITE(13,322)
  322 FORMAT('dataplot unix     dataplot')
      WRITE(13,323)
  323 FORMAT(' ')
      WRITE(13,324)ILIB(1:NSTOP)
  324 FORMAT('library   windows  ',A)
      WRITE(13,325)
  325 FORMAT('library  unix     /usr/local/apps/dataplot/lib')
      WRITE(13,326)
  326 FORMAT(' ')
      WRITE(13,327)
  327 FORMAT('print    windows  ',
     1       '"c:/Program Files/Windows NT/Accessories/Wordpad.exe"')
      WRITE(13,328)
  328 FORMAT('edit     windows  ',
     1       '"c:/Program Files/Windows NT/Accessories/Wordpad.exe"')
      WRITE(13,329)
  329 FORMAT(' ')
      WRITE(13,330)
  330 FORMAT('# You can select which Internet browser you prefer ',
     1       'here.')
      WRITE(13,331)
  331 FORMAT('# browser  windows  ',
     1       '"c:/Program Files/Internet Explorer/Iexplore.exe"')
      WRITE(13,332)
  332 FORMAT('# browser  windows  ',
     1'"c:Program Files/Plus!/Microsoft Internet/Iexplore.exe"')
      WRITE(13,333)
  333 FORMAT('browser  windows  ',
     1'"c:/Program Files/NETSCAPE/Communicator/PROGRAM/netscape.exe"')
      WRITE(13,334)
  334 FORMAT('')
      WRITE(13,335)
  335 FORMAT('print    unix     lpr')
      WRITE(13,336)
  336 FORMAT('edit     unix     nedit')
      WRITE(13,337)
  337 FORMAT('browser  unix     netscape')
      WRITE(13,338)
  338 FORMAT('')
      WRITE(13,339)
  339 FORMAT('#  The font specifications allow a system ',
     1       'administrator or user to easily')
      WRITE(13,340)
  340 FORMAT('#  change the fonts used by xdp to their tastes or ',
     1       'limitations of the hardware.')
      WRITE(13,341)
  341 FORMAT(' ')
      WRITE(13,342)
  342 FORMAT('#  The first field contains the name of the ',
     1       'platform (windows, unix) or')
      WRITE(13,343)
  343 FORMAT('#  operating system (IRIX, AIX, HP-UX, SunOS, etc.).  ',
     1      'The operating system')
      WRITE(13,344)
  344 FORMAT('#  is usually only specified for unix platforms.  ',
     1       'Font specifications based')
      WRITE(13,345)
  345 FORMAT('#  on operating system must appear after those ',
     1       'specified by platform.')
      WRITE(13,346)
  346 FORMAT(' ')
      WRITE(13,347)
  347 FORMAT('#  The second field contains only the strings ',
     1       'variable, fixed_small, or')
      WRITE(13,348)
  348 FORMAT('#  fixed_large.  These refer to the 3 different ',
     1       'types of fonts used in xdp.')
      WRITE(13,349)
  349 FORMAT('#  The variable font is used for buttons and menus.',
     1       '  The fixed fonts are used')
      WRITE(13,350)
  350 FORMAT('#  for forms, some menus, entries, and text output.')
      WRITE(13,351)
  351 FORMAT(' ')
      WRITE(13,352)
  352 FORMAT('#  The third field contains the font in Tcl format.  ',
     1       'Each font contains ')
      WRITE(13,353)
  353 FORMAT('#  three fields.  The first is the font family.  ',
     1       'If the family name')
      WRITE(13,354)
  354 FORMAT('#  contains blanks, then it must be enclosed in ',
     1       'braces.  The second field')
      WRITE(13,355)
  355 FORMAT('#  contains the point size of the font.  A + or - ',
     1       'can be in front of the point')
      WRITE(13,356)
  356 FORMAT('#  size.  This tells xdp that if a font with that ',
     1       'point size cannot be found, ')
      WRITE(13,357)
  357 FORMAT('#  then either increment or decrement the point size ',
     1       'to find one that matches.')
      WRITE(13,358)
  358 FORMAT('#  The third field contains the string bold or ',
     1       'normal.  The entire font ')
      WRITE(13,359)
  359 FORMAT('#  specification must be enclosed in braces.')
      WRITE(13,360)
  360 FORMAT(' ')
      WRITE(13,361)
  361 FORMAT('windows variable    {{MS Sans Serif} 8 normal}')
      WRITE(13,362)
  362 FORMAT('windows fixed_small {Fixedsys 10 normal}')
      WRITE(13,363)
  363 FORMAT('windows fixed_large {Fixedsys 10 normal}')
      WRITE(13,364)
  364 FORMAT('')
      WRITE(13,365)
  365 FORMAT('unix variable    {Helvetica -12 bold}')
      WRITE(13,366)
  366 FORMAT('unix fixed_small {fixed +10 bold}')
      WRITE(13,367)
  367 FORMAT('unix fixed_large {fixed +11 bold}')
      WRITE(13,368)
  368 FORMAT('')
      WRITE(13,369)
  369 FORMAT('IRIX variable    {Helvetica -12 bold}')
      WRITE(13,370)
  370 FORMAT('IRIX fixed_small {screen +10 bold}')
      WRITE(13,371)
  371 FORMAT('IRIX fixed_large {screen +13 bold}')
      WRITE(13,372)
  372 FORMAT('')
      WRITE(13,373)
  373 FORMAT('HP-UX variable    {Helvetica +12 bold}')
      WRITE(13,374)
  374 FORMAT('HP-UX fixed_small {fixed +11 bold}')
      WRITE(13,375)
  375 FORMAT('HP-UX fixed_large {fixed +12 bold}')
C
C  NOW CREATE XDPCONFIG_98
C
      WRITE(14,401)
  401 FORMAT('#  This file contains executable and font ',
     1       'specifications for xdp.')
      WRITE(14,402)
  402 FORMAT(' ')
      WRITE(14,403)
  403 FORMAT('#  This file can exist in several locations.  It ',
     1       'is searched for in several')
      WRITE(14,404)
  404 FORMAT('#  directories and the first occurance of the file ',
     1       'is the one that will be')
      WRITE(14,405)
  405 FORMAT('#  used.  This way a user can have a different set ',
     1       'of fonts than the default')
      WRITE(14,406)
  406 FORMAT('#  values.')
      WRITE(14,407)
  407 FORMAT('')
      WRITE(14,408)
  408 FORMAT('#  The order of the directories where xdp looks ',
     1       'for this file is:')
      WRITE(14,409)
  409 FORMAT('#  (1) the current directory, (2) the user's home ',
     1       'directory, (3) the system')
      WRITE(14,410)
  410 FORMAT('#  directory for the xdp Tcl files.  The file can ',
     1       'be names xdpConfig or .xdpConfig')
      WRITE(14,411)
  411 FORMAT(' ')
      WRITE(14,412)
  412 FORMAT(' ')
      WRITE(14,413)
  413 FORMAT('#  The executable specification gives the pathname ',
     1       'for Dataplot executables')
      WRITE(14,414)
  414 FORMAT('#  on different platforms.  The second field ',
     1       'contains the name of the platform ')
      WRITE(14,415)
  415 FORMAT('#  (windows, unix) or operating system (IRIX, AIX, ',
     1       'HP-UX, SunOS, etc.).  The ')
      WRITE(14,416)
  416 FORMAT('#  operating system is usually only specified for ',
     1       'unix platforms.  Executable')
      WRITE(14,417)
  417 FORMAT('#  specifications based on operating system must ',
     1       'appear after those specified ')
      WRITE(14,418)
  418 FORMAT('#  by platform.')
      WRITE(14,419)
  419 FORMAT('')
      WRITE(14,420)
  420 FORMAT('#')
      WRITE(14,421)IEXEC(1:NSTOP7)
  421 FORMAT('dataplot windows  ',A)
      WRITE(14,422)
  422 FORMAT('dataplot unix     dataplot')
      WRITE(14,423)
  423 FORMAT(' ')
      WRITE(14,424)ILIB(1:NSTOP)
  424 FORMAT('library  windows  ',A)
      WRITE(14,425)
  425 FORMAT('library  unix     /usr/local/apps/dataplot/lib')
      WRITE(14,426)
  426 FORMAT('')
      WRITE(14,427)
  427 FORMAT('print    windows  ',
     1       '"c:/Program Files/Accessories/Wordpad.exe"')
      WRITE(14,428)
  428 FORMAT('edit     windows  ',
     1       '"c:/Program Files/Accessories/Wordpad.exe"')
      WRITE(14,429)
  429 FORMAT(' ')
      WRITE(14,430)
  430 FORMAT('# You can selct either the Internet Explorer or ',
     1       'the Netscape browser')
      WRITE(14,431)
  431 FORMAT('# browser  windows  ',
     1      '"c:/Program Files/Internet Explorer/Iexplore.exe"')
      WRITE(14,432)
  432 FORMAT('# browser  windows  ',
     1'"c:Program Files/Plus!/Microsoft Internet/Iexplore.exe"')
      WRITE(14,433)
  433 FORMAT('browser  windows  ',
     1'"c:/Program Files/NETSCAPE/Communicator/PROGRAM/netscape.exe"')
      WRITE(14,434)
  434 FORMAT('')
      WRITE(14,435)
  435 FORMAT('print    unix     lp')
      WRITE(14,436)
  436 FORMAT('print    IRIX     lpr')
      WRITE(14,437)
  437 FORMAT('edit     unix     nedit')
      WRITE(14,438)
  438 FORMAT('browser  unix     netscape')
      WRITE(14,439)
  439 FORMAT(' ')
      WRITE(14,440)
  440 FORMAT('#  The font specifications allow a system ',
     1       'administrator or user to easily')
      WRITE(14,441)
  441 FORMAT('#  change the fonts used by xdp to their tastes ',
     1       'or limitations of the hardware.')
      WRITE(14,442)
  442 FORMAT(' ')
      WRITE(14,443)
  443 FORMAT('#  The first field contains the name of the ',
     1       'platform (windows, unix) or')
      WRITE(14,444)
  444 FORMAT('#  operating system (IRIX, AIX, HP-UX, SunOS, etc.).',
     1       '  The operating system')
      WRITE(14,445)
  445 FORMAT('#  is usually only specified for unix platforms.',
     1       '  Font specifications based')
      WRITE(14,446)
  446 FORMAT('#  on operating system must appear after those ',
     1       'specified by platform.')
      WRITE(14,447)
  447 FORMAT(' ')
      WRITE(14,448)
  448 FORMAT('#  The second field contains only the strings ',
     1       'variable, fixed_small, or')
      WRITE(14,449)
  449 FORMAT('#  fixed_large.  These refer to the 3 different ',
     1       'types of fonts used in xdp.')
      WRITE(14,450)
  450 FORMAT('#  The variable font is used for buttons and menus.',
     1       '  The fixed fonts are used')
      WRITE(14,451)
  451 FORMAT('#  for forms, some menus, entries, and text output.')
      WRITE(14,452)
  452 FORMAT('')
      WRITE(14,453)
  453 FORMAT('#  The third field contains the font in Tcl format.',
     1       '  Each font contains ')
      WRITE(14,454)
  454 FORMAT('#  three fields.  The first is the font family.  If',
     1       ' the family name')
      WRITE(14,455)
  455 FORMAT('#  contains blanks, then it must be enclosed in ',
     1       'braces.  The second field')
      WRITE(14,456)
  456 FORMAT('#  contains the point size of the font.  A + or - ',
     1       'can be in front of the point')
      WRITE(14,457)
  457 FORMAT('#  size.  This tells xdp that if a font with that ',
     1       'point size cannot be found, ')
      WRITE(14,458)
  458 FORMAT('#  then either increment or decrement the point size',
     1       ' to find one that matches.')
      WRITE(14,459)
  459 FORMAT('#  The third field contains the string bold or ',
     1       'normal.  The entire font ')
      WRITE(14,460)
  460 FORMAT('#  specification must be enclosed in braces.')
      WRITE(14,461)
  461 FORMAT('')
      WRITE(14,462)
  462 FORMAT('windows variable    {{MS Sans Serif} 8 normal}')
      WRITE(14,463)
  463 FORMAT('windows fixed_small {Fixedsys 10 normal}')
      WRITE(14,464)
  464 FORMAT('windows fixed_large {Fixedsys 10 normal}')
      WRITE(14,465)
  465 FORMAT('')
      WRITE(14,466)
  466 FORMAT('unix variable    {Helvetica -12 bold}')
      WRITE(14,467)
  467 FORMAT('unix fixed_small {fixed +10 bold}')
      WRITE(14,468)
  468 FORMAT('unix fixed_large {fixed +11 bold}')
      WRITE(14,469)
  469 FORMAT('')
      WRITE(14,470)
  470 FORMAT('IRIX variable    {Helvetica -12 bold}')
      WRITE(14,471)
  471 FORMAT('IRIX fixed_small {screen +10 bold}')
      WRITE(14,472)
  472 FORMAT('IRIX fixed_large {screen +13 bold}')
      WRITE(14,473)
  473 FORMAT('')
      WRITE(14,474)
  474 FORMAT('HP-UX variable    {Helvetica +12 bold}')
      WRITE(14,475)
  475 FORMAT('HP-UX fixed_small {fixed +11 bold}')
      WRITE(14,476)
  476 FORMAT('HP-UX fixed_large {fixed +12 bold}')
C
      CLOSE(11)
      CLOSE(12)
      CLOSE(13)
      CLOSE(14)
C
      STOP
      END
